import { IPropertyPaneField, PropertyPaneFieldType } from "@microsoft/sp-property-pane";
import { IPropertyPaneChecklistInternalProps } from "./IPropertyPaneChecklistInternalProps";
import { IPropertyPaneChecklistProps } from "./IPropertyPaneChecklistProps";
declare class PropertyPaneChecklistControl implements IPropertyPaneField<IPropertyPaneChecklistProps> {
    type: PropertyPaneFieldType;
    targetProperty: string;
    properties: IPropertyPaneChecklistInternalProps;
    private elem;
    constructor(targetProperty: string, properties: IPropertyPaneChecklistProps);
    render(): void;
    private onDispose;
    private onRender;
    private onChanged;
}
declare const PropertyPaneChecklist: (targetProperty: string, properties: IPropertyPaneChecklistProps) => PropertyPaneChecklistControl;
export { PropertyPaneChecklist };
//# sourceMappingURL=PropertyPaneChecklist.d.ts.map